VMTKBRANCHEXTRACTOR(1)

NAME
vmtkbranchextractor - vmtk script vmtkbranchextractor

DESCRIPTION
Automatic piping vmtkbranchextractor Parsing options vmtkbranchextractor

vmtkbranchextractor : split and group centerlines along branches

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1)

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds

-centerlineidsarray CenterlineIdsArrayName (str,1);

    default=CenterlineIds

-tractidsarray TractIdsArrayName (str,1); default=TractIds

-blankingarray BlankingArrayName (str,1); default=Blanking

-ofile CenterlinesOutputFileName (str,1): filename for the default

    Centerlines writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerlines (vtkPolyData,1)

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds

-centerlineidsarray CenterlineIdsArrayName (str,1);

    default=CenterlineIds

-tractidsarray TractIdsArrayName (str,1); default=TractIds

-blankingarray BlankingArrayName (str,1); default=Blanking